Update a resource block
curl --request PATCH \
--url https://api.journeybee.io/v1/resources/{uuid}/blocks/{subUuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": {},
"series": 123,
"asset_uuid": "<string>",
"style": {
"background_color": "<string>",
"text_color": "<string>",
"border": {
"width": 123,
"color": "<string>",
"radius": 123
},
"padding": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
},
"margin": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
}
},
"markdown": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/resources/{uuid}/blocks/{subUuid}"
payload = {
"title": "<string>",
"content": {},
"series": 123,
"asset_uuid": "<string>",
"style": {
"background_color": "<string>",
"text_color": "<string>",
"border": {
"width": 123,
"color": "<string>",
"radius": 123
},
"padding": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
},
"margin": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
}
},
"markdown": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
content: {},
series: 123,
asset_uuid: '<string>',
style: {
background_color: '<string>',
text_color: '<string>',
border: {width: 123, color: '<string>', radius: 123},
padding: {top: 123, bottom: 123, left: 123, right: 123},
margin: {top: 123, bottom: 123, left: 123, right: 123}
},
markdown: '<string>'
})
};
fetch('https://api.journeybee.io/v1/resources/{uuid}/blocks/{subUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"series": 123,
"title": "<string>",
"content": "<unknown>",
"style": {
"background_color": "<string>",
"text_color": "<string>",
"border": {
"width": 123,
"color": "<string>",
"radius": 123
},
"padding": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
},
"margin": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
}
},
"asset_uuid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Resource Blocks
Update a resource block
PATCH
/
resources
/
{uuid}
/
blocks
/
{subUuid}
Update a resource block
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
text, image, video, document, button, embed, powerpoint, files, quiz Block content. See create block for shape per type.
Show child attributes
Show child attributes
Visual styling for the block.
Show child attributes
Show child attributes
Markdown content for text blocks. When provided, converts to TipTap JSON and overrides the content field.
Maximum string length:
100000Response
200 - application/json
Default Response
Available options:
text, image, video, document, button, embed, powerpoint, files, quiz Display order (1-indexed)
Block content — shape varies by type. See documentation.
Visual styling for the block.
Show child attributes
Show child attributes
Associated asset (image, video file, document, etc.)
⌘I